Creates a new Template from an existing Bill's line items belonging to the provided Meter
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billId | Id of Bill from which to create the Template | integer (int32) | Required |
| meterId | Id of Meter whose bodylines from source bill will be used to create the Template | integer (int32) | Required |
Request Body
CreateTemplateFromBill
| Property | Description | Type |
|---|---|---|
| note | The template note Must be between 0 and 255 characters | string |
| templateCode | The template code Always converted to uppercase Required Must be between 0 and 32 characters | string |
Example Request Body
{ "note": "string", "templateCode": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
TemplateResponse
| Property | Description | Type | |||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodity | CommodityChild | ||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||
| demandUnit | UnitChild | ||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||
| note | string | ||||||||||||||||||||||||||||
| templateCode | string | ||||||||||||||||||||||||||||
| templateId | integer (int32) | ||||||||||||||||||||||||||||
| templateInfo | string | ||||||||||||||||||||||||||||
| useUnit | UnitChild | ||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||
| versions | VersionChild[] | ||||||||||||||||||||||||||||
|
VersionChild properties
|
|||||||||||||||||||||||||||||
Example Response
{ "commodity": { "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}, "demandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "note": "string", "templateCode": "string", "templateId": 1, "templateInfo": "string", "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "versions": [
{ "beginDate": "2026-03-30", "endDate": "2026-03-30", "versionId": 1
}
]
}